Start one run: 202 with the queued run (async models), 200 with the finished run (sync tools).
curl --request POST \
--url https://api.spiral.ai/v1/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "<string>",
"model": "<string>",
"input": {},
"metadata": {},
"end_user_id": "<string>"
}
'import requests
url = "https://api.spiral.ai/v1/runs"
payload = {
"provider": "<string>",
"model": "<string>",
"input": {},
"metadata": {},
"end_user_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider: '<string>',
model: '<string>',
input: {},
metadata: {},
end_user_id: '<string>'
})
};
fetch('https://api.spiral.ai/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spiral.ai/v1/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider' => '<string>',
'model' => '<string>',
'input' => [
],
'metadata' => [
],
'end_user_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.spiral.ai/v1/runs"
payload := strings.NewReader("{\n \"provider\": \"<string>\",\n \"model\": \"<string>\",\n \"input\": {},\n \"metadata\": {},\n \"end_user_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.spiral.ai/v1/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider\": \"<string>\",\n \"model\": \"<string>\",\n \"input\": {},\n \"metadata\": {},\n \"end_user_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spiral.ai/v1/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider\": \"<string>\",\n \"model\": \"<string>\",\n \"input\": {},\n \"metadata\": {},\n \"end_user_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "run",
"status": "queued",
"provider": "<string>",
"model": "<string>",
"output": {
"items": [
{
"type": "image",
"url": "<string>",
"mime_type": "<string>",
"size_bytes": 0,
"width": 0,
"height": 0,
"duration_seconds": 123,
"kind": "<string>",
"data": "<unknown>",
"expires_at": "<string>",
"field": "<string>",
"source": "provider",
"notice": "<string>",
"error": {
"code": "OUTPUT_UNAVAILABLE",
"message": "<string>"
}
}
],
"expired": true,
"dropped_count": 0
},
"usage": {
"units": [
{
"unit": "<string>",
"quantity": 123
}
]
},
"cost": {
"currency": "USD",
"state": "held",
"estimated": {
"amount": "<string>",
"amount_micros": 0
},
"charged": {
"amount": "<string>",
"amount_micros": 0
},
"customer_price": {
"unit": "<string>",
"estimated": {
"minor_units": 0,
"amount": "<string>"
},
"charged": {
"minor_units": 0,
"amount": "<string>"
}
}
},
"charge_reason": "provider_billed_failure",
"timings": {
"created_at": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
]
},
"metadata": {},
"end_user_id": "<string>",
"idempotency_key": "<string>",
"app": {
"id": "<string>",
"url": "<string>",
"title": "<string>"
},
"sequence": 1,
"links": {
"self": "<string>"
},
"customer_cost": {
"state": "held",
"unit": "<string>",
"estimated": {
"minor_units": 0,
"amount": "<string>"
},
"charged": {
"minor_units": 0,
"amount": "<string>"
}
}
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "run",
"status": "queued",
"provider": "<string>",
"model": "<string>",
"output": {
"items": [
{
"type": "image",
"url": "<string>",
"mime_type": "<string>",
"size_bytes": 0,
"width": 0,
"height": 0,
"duration_seconds": 123,
"kind": "<string>",
"data": "<unknown>",
"expires_at": "<string>",
"field": "<string>",
"source": "provider",
"notice": "<string>",
"error": {
"code": "OUTPUT_UNAVAILABLE",
"message": "<string>"
}
}
],
"expired": true,
"dropped_count": 0
},
"usage": {
"units": [
{
"unit": "<string>",
"quantity": 123
}
]
},
"cost": {
"currency": "USD",
"state": "held",
"estimated": {
"amount": "<string>",
"amount_micros": 0
},
"charged": {
"amount": "<string>",
"amount_micros": 0
},
"customer_price": {
"unit": "<string>",
"estimated": {
"minor_units": 0,
"amount": "<string>"
},
"charged": {
"minor_units": 0,
"amount": "<string>"
}
}
},
"charge_reason": "provider_billed_failure",
"timings": {
"created_at": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
]
},
"metadata": {},
"end_user_id": "<string>",
"idempotency_key": "<string>",
"app": {
"id": "<string>",
"url": "<string>",
"title": "<string>"
},
"sequence": 1,
"links": {
"self": "<string>"
},
"customer_cost": {
"state": "held",
"unit": "<string>",
"estimated": {
"minor_units": 0,
"amount": "<string>"
},
"charged": {
"minor_units": 0,
"amount": "<string>"
}
}
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}Runs
Create a run
POST
/
v1
/
runs
Start one run: 202 with the queued run (async models), 200 with the finished run (sync tools).
curl --request POST \
--url https://api.spiral.ai/v1/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "<string>",
"model": "<string>",
"input": {},
"metadata": {},
"end_user_id": "<string>"
}
'import requests
url = "https://api.spiral.ai/v1/runs"
payload = {
"provider": "<string>",
"model": "<string>",
"input": {},
"metadata": {},
"end_user_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider: '<string>',
model: '<string>',
input: {},
metadata: {},
end_user_id: '<string>'
})
};
fetch('https://api.spiral.ai/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spiral.ai/v1/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider' => '<string>',
'model' => '<string>',
'input' => [
],
'metadata' => [
],
'end_user_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.spiral.ai/v1/runs"
payload := strings.NewReader("{\n \"provider\": \"<string>\",\n \"model\": \"<string>\",\n \"input\": {},\n \"metadata\": {},\n \"end_user_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.spiral.ai/v1/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider\": \"<string>\",\n \"model\": \"<string>\",\n \"input\": {},\n \"metadata\": {},\n \"end_user_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spiral.ai/v1/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider\": \"<string>\",\n \"model\": \"<string>\",\n \"input\": {},\n \"metadata\": {},\n \"end_user_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "run",
"status": "queued",
"provider": "<string>",
"model": "<string>",
"output": {
"items": [
{
"type": "image",
"url": "<string>",
"mime_type": "<string>",
"size_bytes": 0,
"width": 0,
"height": 0,
"duration_seconds": 123,
"kind": "<string>",
"data": "<unknown>",
"expires_at": "<string>",
"field": "<string>",
"source": "provider",
"notice": "<string>",
"error": {
"code": "OUTPUT_UNAVAILABLE",
"message": "<string>"
}
}
],
"expired": true,
"dropped_count": 0
},
"usage": {
"units": [
{
"unit": "<string>",
"quantity": 123
}
]
},
"cost": {
"currency": "USD",
"state": "held",
"estimated": {
"amount": "<string>",
"amount_micros": 0
},
"charged": {
"amount": "<string>",
"amount_micros": 0
},
"customer_price": {
"unit": "<string>",
"estimated": {
"minor_units": 0,
"amount": "<string>"
},
"charged": {
"minor_units": 0,
"amount": "<string>"
}
}
},
"charge_reason": "provider_billed_failure",
"timings": {
"created_at": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
]
},
"metadata": {},
"end_user_id": "<string>",
"idempotency_key": "<string>",
"app": {
"id": "<string>",
"url": "<string>",
"title": "<string>"
},
"sequence": 1,
"links": {
"self": "<string>"
},
"customer_cost": {
"state": "held",
"unit": "<string>",
"estimated": {
"minor_units": 0,
"amount": "<string>"
},
"charged": {
"minor_units": 0,
"amount": "<string>"
}
}
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "run",
"status": "queued",
"provider": "<string>",
"model": "<string>",
"output": {
"items": [
{
"type": "image",
"url": "<string>",
"mime_type": "<string>",
"size_bytes": 0,
"width": 0,
"height": 0,
"duration_seconds": 123,
"kind": "<string>",
"data": "<unknown>",
"expires_at": "<string>",
"field": "<string>",
"source": "provider",
"notice": "<string>",
"error": {
"code": "OUTPUT_UNAVAILABLE",
"message": "<string>"
}
}
],
"expired": true,
"dropped_count": 0
},
"usage": {
"units": [
{
"unit": "<string>",
"quantity": 123
}
]
},
"cost": {
"currency": "USD",
"state": "held",
"estimated": {
"amount": "<string>",
"amount_micros": 0
},
"charged": {
"amount": "<string>",
"amount_micros": 0
},
"customer_price": {
"unit": "<string>",
"estimated": {
"minor_units": 0,
"amount": "<string>"
},
"charged": {
"minor_units": 0,
"amount": "<string>"
}
}
},
"charge_reason": "provider_billed_failure",
"timings": {
"created_at": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
]
},
"metadata": {},
"end_user_id": "<string>",
"idempotency_key": "<string>",
"app": {
"id": "<string>",
"url": "<string>",
"title": "<string>"
},
"sequence": 1,
"links": {
"self": "<string>"
},
"customer_cost": {
"state": "held",
"unit": "<string>",
"estimated": {
"minor_units": 0,
"amount": "<string>"
},
"charged": {
"minor_units": 0,
"amount": "<string>"
}
}
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}Authorizations
Headers
Body
application/json
Response
A sync tool's finished run (or the replay of one).